<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="row fh">
    <div class="col-md-3 fh">
        <!--
        TYPES
        -->
        <div class="box box-primary box-sm box-solid box-poi-type m-b-10">
            <div class="box-header with-border">
                <h4 class="box-title"><span class="fa fa-map-marker"></span> {{ 'label.poi_types' | translate }}</h4>
            </div>
            <div class="box-body p-10">
                <form class="ng-pristine ng-valid">
                    <div class="form-group m-0">
                        <select ng-if="$ctrl.typeOptions.length" bs-multiselect ng-cloak ng-model="$ctrl.proxyTypesValues"
                            class="btn-sm btn-flat bg-white btn-block form-control input-sm" multiple="true"
                            data-number-displayed="3" data-all-selected-text="{{ 'label.all_types' | translate }}"
                            data-non-selected-text="{{ 'label.all_types' | translate }}"
                            data-enable-clickable-opt-groups="true"
                            ng-options="type as type.label group by type.group for type in $ctrl.typeOptions"
                            ng-change="$ctrl.onProxyTypesValuesChange()">
                        </select>
                        <span ng-show="!$ctrl.typeOptions.length" class="text-sm text-muted">{{ 'label.loading' | translate }} ...</span>
                    </div>
                </form>
            </div>
        </div>

        <!--
        FILTERS
        -->
        <property-filters ng-model="$ctrl.model.ast" types="$ctrl.model.types"></property-filters>
    </div>

    <div class="col-md-9 fh" ng-class="{loading: $ctrl.loading }">
        <!--
        TABS
        -->
        <div class="row navigation-toolbar">
            <div class="col-xs-8">
                <div class="btn-group">
                    <a class="btn" ng-class="{'btn-white': $ctrl.mapMode, 'btn-primary': !$ctrl.mapMode}" ng-click="$ctrl.mapMode = false"><span class="fa fa-bars"></span> {{ "label.list" | translate }}</a>
                    <a class="btn btn-map" ng-class="{'btn-white': !$ctrl.mapMode, 'btn-primary': $ctrl.mapMode == true}" ng-click="$ctrl.mapMode = true"><span class="fa fa-globe"></span> {{ "label.map" | translate }}</a>
                </div>
                <a class="btn btn-white m-l-10" href="" ng-click="$ctrl.showQueryPreview()" ng-class="{disabled: !$ctrl.query}"><span class="fa fa-eye"></span> {{ $ctrl.getMode() == 'sparql' ? 'SPARQL' : 'GraphQL' }}</a>
            </div>
            <div class="col-xs-4">
                <div class="p-t-5 text-right result-total" ng-show="$ctrl.resultSet.total != null" translate="label.x_results" translate-values="{total: ($ctrl.resultSet.total | number : 0)}"></div>
            </div>
        </div>

        <!--
        DEBUG
        -->
        <!--<pre>{{$ctrl.query|json }}</pre>-->

        <!--
        RESULTS LIST
        -->
        <div class="row error-container" ng-show="$ctrl.error">
            <div class="col-sm-12">
                <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> {{ $ctrl.error.message }}</div>
                <pre>{{ $ctrl.graphQL }}</pre>
                <!--pre>{{ $ctrl.ngModelCtrl.$viewValue | json }}</pre-->
            </div>
        </div>

        <div class="row" ng-if="$ctrl.resultSet && !$ctrl.resultSet.total">
            <div class="col-sm-12">
                <div class="blankslate blankslate-spacious">
                    <h3>{{ 'text.no_results' | translate }}</h3>
                </div>
            </div>
        </div>

        <div class="row results-container" ng-if="$ctrl.resultSet.total && !$ctrl.mapMode && !$ctrl.error">

                <div class="col-sm-12" ng-show="$ctrl.resultSet.total > 10">
                    <div class="small-box bg-warning">
                        <div class="icon-heading">
                            <i class="fa fa-info-circle"></i>
                        </div>
                        <div class="inner">
                            <span translate="text.results_disclaimer.0"></span><br>
                            <span class="text-sm" translate="text.results_disclaimer.1"></span>
                        </div>
                    </div>
                </div>

                <div class="col-sm-12">
                    <!-- add extra container element for Masonry -->
                    <div masonry class="row" masonry-options="{ transitionDuration: 0 }">
                        <!-- items use Bootstrap .col- classes -->
                        <div class="col-xs-12 col-sm-6 masonry-brick" ng-repeat="item in $ctrl.resultSet.results track by item._uri">
                            <result-item item="item"></result-item>
                        </div>
                    </div>
                </div>
        </div>

        <!--
        MAP
        -->
        <div class="row results-container" ng-if="$ctrl.resultSet.total && $ctrl.mapMode && !$ctrl.error">
            <div class="col-sm-12 fh">
                <results-map ng-if="$ctrl.mapMode" items="$ctrl.resultSet.results"></results-map>
            </div>
        </div>

    </div>

</div>